.wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-auto-rows: 100px;
  column-gap: 100px;
  row-gap: 1em;
}

.box {
  border: 4px solid black;
}

.sub-box {
  border: 2px solid black;
  margin: 5px;
}

.header {
  grid-column-start: 1;
  grid-column-end: 5;
  grid-row-start: 1;
  grid-row-end: 1;
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  column-gap: 50px;
}

.sub-box-A {
  display: grid;
  grid-template-columns: 1fr 2fr;
}

.a {
  border: 1px solid black;
  margin: 10px;
}

.sub-box-B {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
}

.right-sidebar {
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 2;
  grid-row-end: 6;
  display: grid;
  grid-template-rows: 1fr 1fr;
}

.body {
  grid-column-start: 2;
  grid-column-end: 4;
  grid-row-start: 2;
  grid-row-end: 6;
  display: grid;
  grid-template-rows: 1fr 60px 30px 3fr;
}

.left-sidebar {
  grid-column-start: 4;
  grid-column-end: 5;
  grid-row-start: 2;
  grid-row-end: 6;
  display: grid;
  grid-template-rows: 30px 2fr 1fr;
}
